Module tdlight.api
Package it.tdlight.jni

# Class TdApi.UpdateNewPreCheckoutQuery

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Update
it.tdlight.jni.TdApi.UpdateNewPreCheckoutQuery

Enclosing class:
  TdApi

public static final class TdApi.UpdateNewPreCheckoutQuery extends TdApi.Update
A new incoming pre-checkout query; for bots only. Contains full information about a checkout.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`String`
`currency`
Currency for the product price.
`long`
`id`
Unique query identifier.
`byte[]`
`invoicePayload`
Invoice payload.
`TdApi.OrderInfo`
`orderInfo`
Information about the order; may be null.
`long`
`senderUserId`
Identifier of the user who sent the query.
`String`
`shippingOptionId`
Identifier of a shipping option chosen by the user; may be empty if not applicable.
`long`
`totalAmount`
Total price for the product, in the smallest units of the currency.

## Constructor Summary

Constructors
Constructor
Description
`UpdateNewPreCheckoutQuery()`
A new incoming pre-checkout query; for bots only.
`UpdateNewPreCheckoutQuery(long id, long senderUserId, String currency, long totalAmount, byte[] invoicePayload, String shippingOptionId, TdApi.OrderInfo orderInfo)`
A new incoming pre-checkout query; for bots only.
`UpdateNewPreCheckoutQuery(DataInput input)`
A new incoming pre-checkout query; for bots only.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### id

public long id
Unique query identifier.

### senderUserId

public long senderUserId
Identifier of the user who sent the query.

### currency

public String currency
Currency for the product price.

### totalAmount

public long totalAmount
Total price for the product, in the smallest units of the currency.

### invoicePayload

public byte[] invoicePayload
Invoice payload.

### shippingOptionId

public String shippingOptionId
Identifier of a shipping option chosen by the user; may be empty if not applicable.

### orderInfo

public TdApi.OrderInfo orderInfo
Information about the order; may be null.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### UpdateNewPreCheckoutQuery

public UpdateNewPreCheckoutQuery()
A new incoming pre-checkout query; for bots only. Contains full information about a checkout.

### UpdateNewPreCheckoutQuery

public UpdateNewPreCheckoutQuery(long id, long senderUserId, String currency, long totalAmount, byte[] invoicePayload, String shippingOptionId, TdApi.OrderInfo orderInfo)
A new incoming pre-checkout query; for bots only. Contains full information about a checkout.

Parameters:
  `id` - Unique query identifier.
  `senderUserId` - Identifier of the user who sent the query.
  `currency` - Currency for the product price.
  `totalAmount` - Total price for the product, in the smallest units of the currency.
  `invoicePayload` - Invoice payload.
  `shippingOptionId` - Identifier of a shipping option chosen by the user; may be empty if not applicable.
  `orderInfo` - Information about the order; may be null.

### UpdateNewPreCheckoutQuery

public UpdateNewPreCheckoutQuery(DataInput input) throws IOException
A new incoming pre-checkout query; for bots only. Contains full information about a checkout.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`